<div class="container">
  <div class="row">
    <div class="col text-center space">
      <h1>Add a League</h1>
    </div>
  </div>
  <hr>
  <div class="row space">
    <div class="col">
      <mat-horizontal-stepper #stepper linear>
        <mat-step [editable]="!hasCreatedLeague" [stepControl]="createLeagueForm">
          <form [formGroup]="createLeagueForm" class="d-flex justify-content-center align-items-center">
            <ng-template matStepLabel>Fill out the name of your league</ng-template>
            <mat-form-field>
              <mat-label>League-Name</mat-label>
              <label>
                <input formControlName="name" matInput placeholder="The name of the league">
              </label>
            </mat-form-field>
            <div>
              <button (click)="createLeague(stepper)" color="accent" mat-raised-button>Create League</button>
            </div>
          </form>
        </mat-step>
        <mat-step [stepControl]="createTeamsForm">
          <form [formGroup]="createTeamsForm" class="d-flex justify-content-center align-items-center">
            <ng-template matStepLabel>Add teams to your league</ng-template>
            <mat-form-field>
              <mat-label>Team-Name</mat-label>
              <label>
                <input formControlName="name" matInput placeholder="The name of the league">
              </label>
            </mat-form-field>
            <div>
              <button (click)="createTeamForLeague()" color="accent" mat-raised-button>Create Team</button>
            </div>
          </form>
          <div class="container">
            <div class="row">
              <div class="col text-center">
                <app-teams-table (leagueHasTeamsChanged)="onLeagueHasTeamsChanged($event)"></app-teams-table>
              </div>
            </div>
            <div class="row">
              <div *ngIf="leagueHasTeams" class="col text-center space">
                <button (click)="stepper.next()" color="accent" mat-raised-button>Add Drivers</button>
              </div>
            </div>
          </div>
        </mat-step>
        <mat-step [stepControl]="createDriverForm">
          <form [formGroup]="createDriverForm">
            <ng-template matStepLabel>Add drivers to your league</ng-template>
            <div class="display-form">
              <mat-form-field>
                <mat-label>Driver Name</mat-label>
                <label>
                  <input formControlName="name" matInput placeholder="Name of the driver">
                </label>
              </mat-form-field>
              <br>
              <mat-form-field>
                <mat-label>Driver Surename</mat-label>
                <label>
                  <input formControlName="surename" matInput placeholder="Surename of the driver">
                </label>
              </mat-form-field>
              <br>
              <mat-form-field>
                <mat-label>Select Team</mat-label>
                <mat-select formControlName="team">
                  <mat-option *ngFor="let team of createdTeamsForLeague" [value]="team">
                    {{team.name}}
                  </mat-option>
                </mat-select>
              </mat-form-field>
              <div class="text-center">
                <button (click)="addDriverToLeague()" color="accent" mat-raised-button>Add Drivers</button>
              </div>
            </div>
          </form>
          <div class="container">
            <div class="row">
              <div class="col text-center">
                <app-drivers-table></app-drivers-table>
              </div>
            </div>
            <div class="row">
              <div class="col text-center space">
                <button (click)="navigateToLandingPage()" color="accent" mat-raised-button>Back to Landing Page</button>
              </div>
            </div>
          </div>
        </mat-step>
      </mat-horizontal-stepper>
    </div>
  </div>
</div>
